/**
 * @memberof module:apeman-demo-task/lib
 * @function define
 * @param {options} [options] - Optional settings.
 * @param {function} callback - Callback when done.
 */

"use strict";

var argx = require('argx');

/** @lends define */
function define(options, callback) {
    var args = argx(arguments);
    callback = args.pop('function') || argx.noop;
    options = args.pop('object') || {};

    /**
     * Defined task.
     * @function task
     * @param {object} context - Apeman task context.
     * @param {function} callback - Callback when done.
     */
    return function task(context, callback) {
        var logger = context.logger,
            verbose = context.verbose;
        callback(null);
    }
}

module.exports = define;
